I'm new to flutter and trying to build a simple app that has an admob ad in it.

I've tried almost all the flutter packages I found here https://pub.dev/ but they all fail to work!

some say that I need to change the minSdkVersion and some simply crash my app!

I'm simply adding the package to my pubspec.yaml file like so:

admob_banner_stabilizer: ^0.3.1

and I use the Pub Get command to add the package to my app.